# Program to read sequence from a file in the FASTA format and calculates the percentage of hydrophobic amino acids.
# Sets initial values for countHydroAA and list
hydroAA = ["A","L","I","V","F","C","M" ]
countHydroAA = 0

# Reads input file name and assigns it to the variable fastaIn
fastaIn = input("Type input file => ") 

fh = open(fastaIn,'r')  # Opens input file
seqIn = fh.readlines()  # Reads all of the lines in a file and returns them as elements in a list
fh.close()              # Closes input file

# Removes the item at the given position in the list, and return it.
seqIn.pop(0)    # Removes first element of the list

# Transforms list in string
seq=''.join(seqIn)

# Removes all "/n" from the string seq
seq = seq.replace("\n","")

# Length of string is the number of amino acids (countAA)
countAA = len(seq)

print("\nSequence read from the file: ",fastaIn)    # Shows sequence

# Looping through to find hydrophobic amino acids
for aa in seq :
    if aa in hydroAA:       # Tests if it hydrophic
        countHydroAA += 1   # Count hydrophobic residues

# Calculating percentage of hydrophobic amino acids
if countAA>0 :
    hydroPerc = 100*(countHydroAA/countAA)
    print("Number of amino acids => ",countAA)
    print("Number of hydrophobic amino acids => ",countHydroAA)
    print("Percentage of hydrophobic amino acids => ",hydroPerc)
else:
    print("Error! No amino acids read from the file: ",fastaIn)